Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162275 - CAN-2005-2095 squirrelmail cross site posting issue
Summary: CAN-2005-2095 squirrelmail cross site posting issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: public=20050713,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 20:52 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-595
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-03 14:16:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch from upstream (deleted)
2005-07-02 13:27 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:595 normal SHIPPED_LIVE Moderate: squirrelmail security update 2005-08-03 04:00:00 UTC

Description Josh Bressers 2005-07-01 20:52:11 UTC
A new vulnerability has been discovered in SquirrelMail. The file
src/options_identities.php contained some very bad, legacy code: an
extract($_POST) was done, effectively allowing a malicious attacker to
change session variables and even other people's preferences.

It must be noted that for this to happen you need to trick someone into
using an external form to post the information which is not trivial.

Comment 1 Josh Bressers 2005-07-01 20:53:30 UTC
This issue also affects RHEL3

Comment 3 Josh Bressers 2005-07-02 13:27:41 UTC
Created attachment 116290 [details]
Proposed patch from upstream

Comment 5 Mark J. Cox 2005-07-14 12:48:06 UTC
Now public at http://www.squirrelmail.org/security/issue/2005-07-13
removing embargo

Comment 9 Red Hat Bugzilla 2005-08-03 14:16:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-595.html



Note You need to log in before you can comment on or make changes to this bug.